## org.jboss.ejb.plugins.jrmp.interfaces
Class PropertiesInitialContextHandle.Factory

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.jrmp.interfaces.PropertiesInitialContextHandle.Factory

All Implemented Interfaces:
  InitialContextHandleFactory

Enclosing class:
  PropertiesInitialContextHandle

public static final class PropertiesInitialContextHandle.Factory
extends java.lang.Object
implements InitialContextHandleFactory

A factory for producing `PropertiesInitialContextHandle` instance objects.

Only one instance is created to help minimize the overhead required to inspect the running configuration.

Constructor Summary
`PropertiesInitialContextHandle.Factory()`

Method Summary
`InitialContextHandle` `create()` Creates an initial context handle suitable creating an initial context for the current virtual machine.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesInitialContextHandle.Factory

    public PropertiesInitialContextHandle.Factory()

Method Detail

### create

    public InitialContextHandle create()

  Creates an initial context handle suitable creating an initial context for the current virtual machine.
  Specified by:
    `create` in interface `InitialContextHandleFactory`
  Returns:
    An initial context handle suitable for the current vm.

Copyright © 2000 The JBoss Organization. All Rights Reserved.